# Relativistic formalism of mechanics

From now on, we refer to space and time as spacetime. 

## Fundamental assumptions

> *Postulate 1*: spacetime is continuous.

Implying that there is no fundamental limit to the precision of measurements of spatial positions, velocities and time intervals. 

> *Postulate 2*: there exists a [neighbourhood]() in spacetime in which the axioms of [Euclidean]() geometry hold.

A reformulation of the postulate in the Newtonian formalism compatible with the new formulation. 

> *Postulate 3*: all physical axioms have the same form in all inertial frames.

This principle is dependent on the definition of an inertial frame, which in my view is not optimal. It will have to be improved.

> *Principle 1*: spacetime is not instantaneous.

Implying that there exists a maximum speed with which information can travel. 

> *Axiom 1*: spacetime is represented by a torsion-free pseudo Riemannian manifold $M$ with 3 spacial dimensions and 1 time dimension.

Torsion-free means that $\mathbf{T} = \mathbf{0}$, the [torsion tensor]() is always zero.

## Lorentz transformations

Will be added later.

## Results from the fundamental assumptions

> *Theorem 1*: let $\bm{g} \in \Gamma(\mathrm{TM})$ be the pseudo Riemannian inner product on $\mathrm{TM}$, then it follows that from [Hamilton's principle]() that the covariant derivative is equal to zero:
>
> $$
>   \forall i \in \{1, 2, 3, 4\}: D_i \bm{g} = \mathbf{0},
> $$
>
> which is called *metric compatibility*.

??? note "*Proof*:"

    Will be added later.

A linear connection $\nabla$ on a torsion-free pseudo Riemannian manifold with metric compatibility is called the **Levi-Civita connection** with its linear connection symbols denoted as the **Christoffel symbols**.

> *Theorem 2*: the Christoffel symbols $\Gamma_{ij}^k$ (of a Levi-Civita connection) are covariantly symmetric 
>
> $$
>   \Gamma_{ij}^k = \Gamma_{ji}^k,
> $$
>
> for all $(i,j,k) \in \{1,2,3,4\}^3$, and may be given by
>
> $$
>   \Gamma_{ij}^k = \frac{1}{2} g^{kl} (\partial_i g_{ij} + \partial_j g_{il} - \partial_l g_{ij}),
> $$
>
> for all $\bm{g} = g_{ij} dx^i \otimes dx^j \in \Gamma(\mathrm{TM})$. 

??? note "*Proof*:"

    Will be added later.

Similarly, we have the following.

> *Proposition 1*: let $\mathbf{R}: \Gamma(\mathrm{T^*M}) \times \Gamma(\mathrm{TM})^3 \to F$ be the Riemann curvature tensor on a manifold $M$ over a field $F$, defined under the Levi-Civita connection. Then it may be decomposed by
>
> $$
>   \mathbf{R} = \frac{1}{8} R^i_{jkl} (\partial_i \wedge dx^j) \vee (dx^k \wedge dx^l).
> $$
>
> such that $R^i_{jkl}$ has a dimension of 
 
Such that $R^i_{jkl}$ has a dimension of 

$$
    \frac{4^2 (4^2 - 1)}{12} = 20.
$$

## Axioms of Einstein